Bug 143971 - Audio does not work under ALSA for FC3
Audio does not work under ALSA for FC3
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
https://bugtrack.alsa-project.org/als...
:
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2005-01-02 18:33 EST by Jerry Novetsky
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:40:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Novetsky 2005-01-02 18:33:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When Audigy Analog/Digital Output jack is on, I get a horrible buzz
out of all front speakers.  When Audigy Analog/Digital Output jack is
off, I never get any sound at all, no matter what.  Peter of ALSA has
confirmed this to be a bug that has not been reported before.  Peter
says that I should report this here and that I have  have confirmed
this to be an FC3 specific problem.  Please see:
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=749
This web page describes the system and the attempts at problem
resolution quite completely.  I don't see any things I could add on to
this at all, if this ALSA web page is read.

Version-Release number of selected component (if applicable):
FC3 Tried both 1.0.7 and 1.0.8rc1 ALSA

How reproducible:
Always

Steps to Reproduce:
1.Install FC3 on the Asus A7n8X-E Deluxe with on-board Sound disabled
and with Creative Audigy 2 card enabled.
2.Install ALSA as described at
http://alsa-project.org/alsa-doc/doc-php/template.php?company=Creative+Labs&card=Sound+Blaster+Audigy2+ZS+Platinum+Pro.&chip=emu10k2%2C+P17&module=emu10k1
3.Set up volumes using ALSAMixer
4.Set up switches as described at alsa bug report 749.

    

Actual Results:  No sound can be achieved ever.

Expected Results:  Sound should work for FC3 under ALSA.

Additional info:

Please see:
https://bugtrack.alsa-project.org/alsa-bug/view.php?id=749
Comment 1 Jerry Novetsky 2005-01-12 22:43:08 EST
I have continued to research this bug.  Seems like many ppl have this
issue with FC3.  Numerous soundcards, numerous Mother Boards.  Alsa
quite properly lays this bug on Fedora's doorstep.

Hope you get a chance as soon as possible to fix this.  Have been
forced to use the commercial (meaning money) OSS driver.

Thanks!
Jerr
Comment 2 Martin Stransky 2005-04-22 05:01:01 EDT
Have you installed new udev?

look at:

https://bugzilla.redhat.com/bugzilla-old/show_bug.cgi?id=154820
Comment 3 Dave Jones 2005-07-15 14:11:53 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Dave Jones 2005-10-02 20:40:14 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.